/* ==========================================================================
   WooCommerce Cart page styles - begin
   ========================================================================== */

.mkdf-woocommerce-page {

	.mkdf-quantity-buttons .mkdf-quantity-input {
		font-size: 15px !important;
	}
	
	table.cart {
		border: 1px solid $default-border-color;
		margin-bottom: 56px;
		
		thead {
			tr {
				border: 0;
				border-bottom: 1px solid $default-border-color;
				background-color: #f6f9fa;
				
				th {
					padding: 32px 0 27px;
					color: $default-heading-color;
					text-align: left;
					font-size: 14px;
					font-weight: 600;
					text-transform: uppercase;
				}
			}
		}
		
		tbody {
			
			tr {
				border: 0;
			}
		}
		
		tr.cart_item {
			border-bottom: 1px solid $default-border-color;
			
			td {
				padding: 45px 0;
				vertical-align: middle;
				text-align: inherit;
				
				&.product-remove {
					
					a {
						color: $default-text-color;
						font-size: 0;
						
						&:after {
							content: "\f404";
							display: inline-block;
							vertical-align: middle;
							speak: none;
							color: inherit;
							font-family: "Ionicons";
							font-size: 25px;
							font-style: normal;
							font-weight: normal;
							font-variant: normal;
							text-transform: none;
							text-rendering: auto;
							line-height: 1;
							-webkit-font-smoothing: antialiased;
							-moz-osx-font-smoothing: grayscale;
						}
						
						&:hover {
							color: $default-heading-color;
						}
					}
				}

				&.product-remove {
					width: 7%;
					text-align: center;
				}

				&.product-price {
					.amount {
						font-size: 16px;
						font-weight: 700;
						font-family: $default-heading-font;
						color: $default-text-color;
					}
				}
				
				&.product-thumbnail {
					width: 92px;
					padding-left: 8px;
					padding-right: 70px;
					
					a, img {
						display: block;
					}
				}
				
				&.product-name {
					width: 32%;
					
					a {
						font-size: 16px;
						font-weight: 700;
						font-family: $default-heading-font;
						color: $default-text-color;

						&:hover {
							color: $first-main-color;
						}
					}
				}

				&.product-subtotal {
					width: 10%;

					.amount {
						font-size: 16px;
						font-weight: 700;
						font-family: $default-heading-font;
						color: $first-main-color;
					}
				}
				
				.variation {
					
					> * {
						display: inline-block;
						vertical-align: middle;
						padding: 0;
						margin: 0;
					}
					
					p {
						margin: 0;
					}
				}
			}
		}
		
		td.actions {
			padding: 25px 30px;
			text-align: inherit;
			
			.coupon {
				position: relative;
				display: inline-block;
				vertical-align: middle;
				float: left;
				
				label {
					display: none;
				}
				
				input[type="text"] {
					padding: 15px 20px;
					margin: 0 -4px 0 0;
					width: 220px;

					&:focus {
						border-color: #e5e5e5 !important;
					}
				}

				button[type="submit"] {
					background-color: #f6f9fa;
					border: 1px solid #eaeaea;
					color: #8a8a8a;
					padding: 14px 20px;
				}
			}
			
			> button[type="submit"] {
				float: right;
				background-color: transparent;
				border: 1px solid #eaeaea;
				color: #8a8a8a;

				&:hover {
					border-color: $first-main-color;
				}
			}
		}
	}
	
	.cart-collaterals {
		@include mkdfRelativeHolderLayout;
		margin: 0 0 80px;
		
		h2 {
			position: relative;
			display: block;
			margin: 0 0 16px;
			font-size: 22px;
			text-transform: capitalize;
		}

		.cart-subtotal,
		.order-total {
			th {
				font-size: 14px;
				font-weight: 600;
				color: #282727;
				text-transform: uppercase;
			}
		}

		.cart_totals {
			margin: 1px 0 20px;
		}

		.wc-proceed-to-checkout {
			text-align: right;
		}
		
		table {
			margin: 0 0 35px;
			border: 1px solid $default-border-color;

			tr {
				border: 0;
				border-bottom: 1px solid $default-border-color;
			}
			
			td, th {
				padding: 22px 30px;
				text-align: left;
				vertical-align: middle;
			}

			td {
				text-align: right;
				font-size: 16px;
				font-weight: 700;
				font-family: $default-heading-font;
				color: $default-heading-color;

				strong {
					color: $first-main-color;
				}
			}
			
			th {
				width: 20%;
				border: 0;
			}
		}
		
		tr.shipping {
			
			#shipping_method {
				list-style: none;
				margin: 0 0 7px;
				
				li {
					margin: 3px 0;
					padding: 0;
					
					> * {
						display: inline-block;
						vertical-align: middle;
						margin: 0;
					}
				}
			}
		}
		
		.woocommerce-shipping-calculator {
			
			.shipping-calculator-button {
				display: block;
				margin: 0 0 10px;
			}
			
			p {
				margin: 0;
			}
		}
	}
	
	.cross-sells {
		margin: 30px 0 0;
		border-top: 1px solid $default-border-color;
		
		> h2 {
			display: block;
			margin: 36px 0 50px;
			text-align: center;
		}
		
		ul.products  {
			
			> .product {
				
				.mkdf-pl-text-wrapper {
					margin: 0;
				}
			}
		}
	}

}

.mkdf-woocommerce-page {
	
	.cart-empty {
		position: relative;
		display: block;
		text-align: center;
		font-family: $default-heading-font;
		margin: 40px 0 33px;
		font-size: 37px;
		font-weight: 700;
		line-height: 1.35em;
	}
	
	.return-to-shop {
		position: relative;
		display: block;
		text-align: center;
		margin: 0 0 160px;
	}
}
/* ==========================================================================
   WooCommerce Cart page styles - end
   ========================================================================== */